Main Page Modules Namespace List Data Structures File List Data Fields Examples

# _dom_node Struct Reference
[Node]

`#include <DomNode.h>`

## Data Fields
unsigned long | type
char * | name
char * | value
_dom_node * | attributes
_dom_node * | parent
_dom_node * | firstChild
_dom_node * | lastChild
_dom_node * | prevSibling
_dom_node * | nextSibling
unsigned char | autoclose
unsigned char | deferredClosure
unsigned char | escapeTags

## Detailed Description

The most basic form of all DOM nodes.

## Field Documentation

struct _dom_node* _dom_node::attributes

| The node's attributes. Only valid for elements.

unsigned char _dom_node::autoclose

| Whether or not the node is autoclosing. Only relative to HTML.

unsigned char _dom_node::deferredClosure

| Whether or not the node has deferredClosure. Only relative to HTML.

unsigned char _dom_node::escapeTags

| Whether or not to escape the tags associated with the node.

struct _dom_node* _dom_node::firstChild

| The first child of the node.

struct _dom_node* _dom_node::lastChild

| The last child of the node.

char* _dom_node::name

| The arbitrary name of the node.

struct _dom_node* _dom_node::nextSibling

| The next sibling relative to the node.

struct _dom_node* _dom_node::parent

| The parent of the node.

struct _dom_node* _dom_node::prevSibling

| The previous sibling relative to the node.

unsigned long _dom_node::type

| The type of node which can be any of the following: DOM_NODE_TYPE_INVALID The node is not valid. DOM_NODE_TYPE_DOCUMENT The node is a document node. DOM_NODE_TYPE_ELEMENT The node is an element node. DOM_NODE_TYPE_ATTRIBUTE The node is an attribute node. DOM_NODE_TYPE_TEXT The node is a text node. DOM_NODE_TYPE_COMMENT The node is a comment node.

char* _dom_node::value

| The arbitrary value of the node.

The documentation for this struct was generated from the following file:

- DomNode.h